<ng-container *ngIf="summary">
    <div class="hour">{{summary.date | date:'H'}}</div>
    <div class="icon"><img src="{{summary.iconUrl}}" alt="{{summary.description}}" title="{{summary.description}}"></div>
    <div class="temperature">{{summary.temperature | kelvinToCelsius | number: '1.0-0' }}</div>
    <lib-wind-direction class="wind-direction"
          [speed]="summary.windSpeed"
          [deg]="summary.windDirection"></lib-wind-direction>
</ng-container>
